.promo-message {
  position: fixed;
  right: 0;
  z-index: 1000;
  width: 100%;
  background-color: #5f259f;
  color: #ffffff;
}
.promo-message .promo-message--hidden {
  display: none;
}
.promo-message .promo-message--description {
  padding: 20px 0 20px 0;
}
.promo-message .promo-message--description a {
  color: #ffffff;
  text-decoration: underline;
}
.promo-message .promo-message--description p {
  margin-bottom: 0;
}
.promo-message .promo-message-header {
  width: 90%;
  padding-bottom: 10px;
  padding-right: 0;
}
.promo-message .promo-close-icon {
  position: absolute;
  right: 15px;
  top: 20px;
  cursor: pointer;
}
.promo-message .promo-close-icon .icon {
  height: 15px;
  width: 15px;
  fill: #ffffff;
}
@media screen and (min-width: 768px) {
  .promo-message .promo-message--description {
    width: 95%;
    padding: 15px 0 15px 0;
  }
  .promo-message .promo-message-header {
    width: auto;
    padding-bottom: 0;
    padding-right: 5px;
  }
}
@media screen and (min-width: 1024px) {
  .promo-message {
    width: 330px;
  }
  .promo-message .promo-message--description {
    width: auto;
    padding: 40px 15px 40px 45px;
  }
  .promo-message .promo-message-header {
    width: 90%;
    padding-bottom: 13px;
    padding-right: 0;
  }
  .promo-message .promo-close-icon {
    top: 50px;
    right: 30px;
  }
}
.keyboard-active .promo-message--description a:focus {
  outline-offset: 3px;
  outline-color: #fff;
}
.keyboard-active .promo-close-icon a:focus {
  outline-offset: 3px;
  outline-color: #fff;
}
